Package org.eclipse.m2m.atl.emftvm.util

# Class EnumLiteral

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.EnumLiteral

All Implemented Interfaces:
  `Serializable`

public final class EnumLiteral extends Object implements Serializable
Generic enumeration literal.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EnumLiteral(String name)`
Creates a new `EnumLiteral`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`org.eclipse.emf.common.util.Enumerator`
`getEnumerator(org.eclipse.emf.ecore.EEnum eEnum)`
Returns the type-safe enumeration literal for eEnum.
`String`
`getName()`
Returns the literal name.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EnumLiteral

public EnumLiteral(String name)
Creates a new `EnumLiteral`.

Parameters:
  `name` - the literal name

## Method Details

### getName

public String getName()
Returns the literal name.

Returns:
  the name

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getEnumerator

public org.eclipse.emf.common.util.Enumerator getEnumerator(org.eclipse.emf.ecore.EEnum eEnum) throws IllegalArgumentException
Returns the type-safe enumeration literal for eEnum.

Parameters:
  `eEnum` - the `EEnum` type
Returns:
  the type-safe enumeration literal for eEnum
Throws:
  `IllegalArgumentException` - if not found

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`